# angular.fromJson

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Deserializes a string in the JSON format.

## Usage

    angular.fromJson(json, useNative);

### Parameters

- `json – {string} –`

  JSON string to deserialize.

- `useNative – {boolean} –`

  Use native JSON parser if available

### Returns

`{Object|Array|Date|string|number}` –

Deserialized thingy.